package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthOnething
* date: 2021-9-8 9:18:50
*/
public class YthOnethingEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1631063930777L;


    /**
    * 流程任务id
    */
    private String taskId;

    /**
    * 流程实例id
    */
    private String processInstanceId;

    /**
    * 微信用户ID
    */
    private Long memberId;

    /**
    * 微信openId
    */
    private String openId;

    /**
    * 事项ID
    */
    private Long matterid;

    /**
    * 上传时间
    */
    private Integer uploadtime;

    /**
    * 1资料上传 2确认提交
    */
    private Integer type;

    /**
    * 邮寄地址
    */
    private String address;

    /**
    * 联系人
    */
    private String linkman;

    /**
    * 联系电话
    */
    private Integer phone;

    /**
    * 0本人办理 1代办
    */
    private Integer isAgent;

    /**
    * 取件方式 0自主取件  1邮寄
    */
    private Integer manner;

    /**
    * 取件码
    */
    private String getnum;

    /**
    * 快递单号
    */
    private String number;

    /**
    * 问答内容
    */
    private String optionContent;

    /**
    * 0是否撤销 1撤销
    */
    private Integer isRevoke;

    /**
    * 站点ID
    */
    private Integer siteid;

    /**
    * 审批状态 0未审核 1 审核中 2 审核成功
    */
    private Integer status;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public YthOnethingEntity(){

    }
    /**
    * 获取 流程任务id
    * @return taskId
    */
    public String getTaskId() {
        return this.taskId;
    }
    /**
    * 设置 流程任务id
    * @param taskId
    */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    /**
    * 获取 流程实例id
    * @return processInstanceId
    */
    public String getProcessInstanceId() {
        return this.processInstanceId;
    }
    /**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }
    /**
    * 获取 微信用户ID
    * @return memberId
    */
    public Long getMemberId() {
        return this.memberId;
    }
    /**
    * 设置 微信用户ID
    * @param memberId
    */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }
    /**
    * 获取 微信openId
    * @return openId
    */
    public String getOpenId() {
        return this.openId;
    }
    /**
    * 设置 微信openId
    * @param openId
    */
    public void setOpenId(String openId) {
        this.openId = openId;
    }
    /**
    * 获取 事项ID
    * @return matterid
    */
    public Long getMatterid() {
        return this.matterid;
    }
    /**
    * 设置 事项ID
    * @param matterid
    */
    public void setMatterid(Long matterid) {
        this.matterid = matterid;
    }
    /**
    * 获取 上传时间
    * @return uploadtime
    */
    public Integer getUploadtime() {
        return this.uploadtime;
    }
    /**
    * 设置 上传时间
    * @param uploadtime
    */
    public void setUploadtime(Integer uploadtime) {
        this.uploadtime = uploadtime;
    }
    /**
    * 获取 1资料上传 2确认提交
    * @return type
    */
    public Integer getType() {
        return this.type;
    }
    /**
    * 设置 1资料上传 2确认提交
    * @param type
    */
    public void setType(Integer type) {
        this.type = type;
    }
    /**
    * 获取 邮寄地址
    * @return address
    */
    public String getAddress() {
        return this.address;
    }
    /**
    * 设置 邮寄地址
    * @param address
    */
    public void setAddress(String address) {
        this.address = address;
    }
    /**
    * 获取 联系人
    * @return linkman
    */
    public String getLinkman() {
        return this.linkman;
    }
    /**
    * 设置 联系人
    * @param linkman
    */
    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }
    /**
    * 获取 联系电话
    * @return phone
    */
    public Integer getPhone() {
        return this.phone;
    }
    /**
    * 设置 联系电话
    * @param phone
    */
    public void setPhone(Integer phone) {
        this.phone = phone;
    }
    /**
    * 获取 0本人办理 1代办
    * @return isAgent
    */
    public Integer getIsAgent() {
        return this.isAgent;
    }
    /**
    * 设置 0本人办理 1代办
    * @param isAgent
    */
    public void setIsAgent(Integer isAgent) {
        this.isAgent = isAgent;
    }
    /**
    * 获取 取件方式 0自主取件  1邮寄
    * @return manner
    */
    public Integer getManner() {
        return this.manner;
    }
    /**
    * 设置 取件方式 0自主取件  1邮寄
    * @param manner
    */
    public void setManner(Integer manner) {
        this.manner = manner;
    }
    /**
    * 获取 取件码
    * @return getnum
    */
    public String getGetnum() {
        return this.getnum;
    }
    /**
    * 设置 取件码
    * @param getnum
    */
    public void setGetnum(String getnum) {
        this.getnum = getnum;
    }
    /**
    * 获取 快递单号
    * @return number
    */
    public String getNumber() {
        return this.number;
    }
    /**
    * 设置 快递单号
    * @param number
    */
    public void setNumber(String number) {
        this.number = number;
    }
    /**
    * 获取 问答内容
    * @return optionContent
    */
    public String getOptionContent() {
        return this.optionContent;
    }
    /**
    * 设置 问答内容
    * @param optionContent
    */
    public void setOptionContent(String optionContent) {
        this.optionContent = optionContent;
    }
    /**
    * 获取 0是否撤销 1撤销
    * @return isRevoke
    */
    public Integer getIsRevoke() {
        return this.isRevoke;
    }
    /**
    * 设置 0是否撤销 1撤销
    * @param isRevoke
    */
    public void setIsRevoke(Integer isRevoke) {
        this.isRevoke = isRevoke;
    }
    /**
    * 获取 站点ID
    * @return siteid
    */
    public Integer getSiteid() {
        return this.siteid;
    }
    /**
    * 设置 站点ID
    * @param siteid
    */
    public void setSiteid(Integer siteid) {
        this.siteid = siteid;
    }
    /**
    * 获取 审批状态 0未审核 1 审核中 2 审核成功
    * @return status
    */
    public Integer getStatus() {
        return this.status;
    }
    /**
    * 设置 审批状态 0未审核 1 审核中 2 审核成功
    * @param status
    */
    public void setStatus(Integer status) {
        this.status = status;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthOnethingEntity) {
            YthOnethingEntity tmp = (YthOnethingEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",taskId:").append(getTaskId())
                .append(",processInstanceId:").append(getProcessInstanceId())
                .append(",memberId:").append(getMemberId())
                .append(",openId:").append(getOpenId())
                .append(",matterid:").append(getMatterid())
                .append(",uploadtime:").append(getUploadtime())
                .append(",type:").append(getType())
                .append(",address:").append(getAddress())
                .append(",linkman:").append(getLinkman())
                .append(",phone:").append(getPhone())
                .append(",isAgent:").append(getIsAgent())
                .append(",manner:").append(getManner())
                .append(",getnum:").append(getGetnum())
                .append(",number:").append(getNumber())
                .append(",optionContent:").append(getOptionContent())
                .append(",isRevoke:").append(getIsRevoke())
                .append(",siteid:").append(getSiteid())
                .append(",status:").append(getStatus())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.taskId = null;

         this.processInstanceId = null;

         this.memberId = null;

         this.openId = null;

         this.matterid = null;

         this.uploadtime = null;

         this.type = null;

         this.address = null;

         this.linkman = null;

         this.phone = null;

         this.isAgent = null;

         this.manner = null;

         this.getnum = null;

         this.number = null;

         this.optionContent = null;

         this.isRevoke = null;

         this.siteid = null;

         this.status = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}